<template>
  <v-layout justify-center align-center column>
    <v-row>
      <v-col class="d-flex" cols="12" sm="6">
        <v-select
          v-model="originSelected"
          :items="origins"
          label="Origem"
          outlined
          :error="$v.originSelected.$error"
          :error-messages="$v.originSelected.$error ? 'Campo obrigátorio' : ''"
          @blur="$v.originSelected.$touch"
        />
      </v-col>

      <v-col class="d-flex" cols="12" sm="6">
        <v-select
          v-model="destinationSelected"
          :items="destination"
          label="Destino"
          outlined
          :error="$v.destinationSelected.$error"
          :error-messages="$v.destinationSelected.$error ? 'Campo obrigátorio' : ''"
          @blur="$v.destinationSelected.$touch"
        />
      </v-col>

      <v-col class="d-flex" cols="12" sm="6">
        <v-text-field
          v-model="minutes"
          label="Minutos"
          outlined
          :error="$v.minutes.$error"
          :error-messages="$v.minutes.$error ? 'Campo obrigátorio' : ''"
          @blur="$v.minutes.$touch"
        />
      </v-col>

      <v-col class="d-flex" cols="12" sm="6">
        <v-select
          v-model="planSelected"
          :items="plans"
          label="Plano"
          outlined
          :error="$v.planSelected.$error"
          :error-messages="$v.planSelected.$error ? 'Campo obrigátorio' : ''"
          @blur="$v.planSelected.$touch"
        />
      </v-col>
    </v-row>
  </v-layout>
</template>

<script>
import { required } from 'vuelidate/lib/validators'

export default {
  name: 'FormSimulation',

  data: () => ({
    origins: [
      '011',
      '016',
      '017',
      '018'
    ],
    destination: [
      '011',
      '016',
      '017',
      '018'
    ],
    plans: [
      'FaleMais 30',
      'FaleMais 60',
      'FaleMais 120'
    ],
    originSelected: '',
    destinationSelected: '',
    planSelected: '',
    minutes: '',
    loading: false
  }),

  validations: {
    originSelected: {
      required
    },
    destinationSelected: {
      required
    },
    planSelected: {
      required
    },
    minutes: {
      required
    }
  }
}
</script>

<style>
  .white {
    color: white !important;
  }
</style>
